import { CollectionSchema, ProductSchema } from '@byondrnd/showroom-schemas';
import { IApplication, IFilter, IProduct } from '../../EventSystem/EventTypes';
import { Visualizer } from '../../..';
export interface CatalogInfo {
    organization: string;
    catalog: string;
}
export declare class CatalogManager {
    catalog: CollectionSchema.ICatalog;
    collections: Array<CollectionSchema.ICollection>;
    assetsCollection: CollectionSchema.ICollection;
    visualizer: Visualizer;
    catalogInfo: CatalogInfo;
    application: IApplication;
    filters: Array<IFilter>;
    constructor(visualizer: Visualizer);
    init(sceneIndex: string): Promise<void>;
    GetProduct(productSku: string, application: string): ProductSchema.IProduct;
    getAllProducts(): ProductSchema.IProduct[];
    getAllFormatedProducts(): IProduct[];
    GetProductList(): IProduct[];
    productMatchFilter(products: ProductSchema.IProduct[], filters: {
        name: string;
        options: string[];
    }[]): ProductSchema.IProduct[];
    getFullProductDetails(productId: string): Promise<any>;
    getCatalogsApplications(): {
        application: string;
        image: string;
    }[];
    getApplicationPreviewImage(application: string): string;
    getFilters(): import("../../EventSystem/EventTypes").IFacet[];
    loadCatalogs(): Promise<CollectionSchema.ICatalog>;
    loadCatalogCollections(): Promise<CollectionSchema.ICollection[]>;
    loadCatalogsCollections(): Promise<void>;
}
